Package org.postgresql.core

# Enum ServerVersion

java.lang.Object
java.lang.Enum<ServerVersion>
org.postgresql.core.ServerVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerVersion>`, `java.lang.constant.Constable`, `Version`

public enum ServerVersion extends Enum<ServerVersion> implements Version
Enumeration for PostgreSQL versions.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INVALID`
  `v10`
  `v11`
  `v12`
  `v13`
  `v14`
  `v15`
  `v16`
  `v17`
  `v18`
  `v19`
  `v20`
  `v8_2`
  `v8_3`
  `v8_4`
  `v9_0`
  `v9_1`
  `v9_2`
  `v9_3`
  `v9_4`
  `v9_5`
  `v9_6`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Version`
  `from(@Nullable String version)`
  Attempt to parse the server version string into an XXYYZZ form version number into a `Version`.
  `int`
  `getMajorVersionNumber()`
  `int`
  `getVersionNum()`
  Get a machine-readable version number.
  `static ServerVersion`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ServerVersion[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INVALID

    public static final ServerVersion INVALID

  - ### v8_2

    public static final ServerVersion v8_2

  - ### v8_3

    public static final ServerVersion v8_3

  - ### v8_4

    public static final ServerVersion v8_4

  - ### v9_0

    public static final ServerVersion v9_0

  - ### v9_1

    public static final ServerVersion v9_1

  - ### v9_2

    public static final ServerVersion v9_2

  - ### v9_3

    public static final ServerVersion v9_3

  - ### v9_4

    public static final ServerVersion v9_4

  - ### v9_5

    public static final ServerVersion v9_5

  - ### v9_6

    public static final ServerVersion v9_6

  - ### v10

    public static final ServerVersion v10

  - ### v11

    public static final ServerVersion v11

  - ### v12

    public static final ServerVersion v12

  - ### v13

    public static final ServerVersion v13

  - ### v14

    public static final ServerVersion v14

  - ### v15

    public static final ServerVersion v15

  - ### v16

    public static final ServerVersion v16

  - ### v17

    public static final ServerVersion v17

  - ### v18

    public static final ServerVersion v18

  - ### v19

    public static final ServerVersion v19

  - ### v20

    public static final ServerVersion v20

- ## Method Details

  - ### values

    public static ServerVersion[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ServerVersion valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getVersionNum

    public int getVersionNum()
    Get a machine-readable version number.
    Specified by:
      `getVersionNum` in interface `Version`
    Returns:
      the version in numeric XXYYZZ form, e.g. 90401 for 9.4.1

  - ### getMajorVersionNumber

    public int getMajorVersionNumber()
    Specified by:
      `getMajorVersionNumber` in interface `Version`

  - ### from

    public static Version from(@Nullable String version)
    Attempt to parse the server version string into an XXYYZZ form version number into a `Version`.

    If the specified version cannot be parsed, the `Version.getVersionNum()` will return 0.

    Parameters:
      `version` - version in numeric XXYYZZ form, e.g. "090401" for 9.4.1
    Returns:
      a `Version` representing the specified version string.